org.apache.ignite.internal.processors.cache.persistence.freelist

## Interface FreeList<T extends Storable>

All Known Implementing Classes:
  AbstractFreeList, CacheFreeList, PartitionMetaStorageImpl

    public interface FreeList<T extends Storable>

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dumpStatistics(IgniteLogger log)`
`void` `insertDataRow(T row, IoStatisticsHolder statHolder)`
`void` `insertDataRows(Collection<T> rows, IoStatisticsHolder statHolder)`
`void` `removeDataRowByLink(long link, IoStatisticsHolder statHolder)`
`<S,R> R` `updateDataRow(long link, PageHandler<S,R> pageHnd, S arg, IoStatisticsHolder statHolder)`
`boolean` `updateDataRow(long link, T row, IoStatisticsHolder statHolder)`

### Method Detail

#### insertDataRow

    void insertDataRow(T row,
                       IoStatisticsHolder statHolder)
                throws IgniteCheckedException

Parameters:
  `row` - Row.
  `statHolder` - Statistics holder to track IO operations.
Throws:
  `IgniteCheckedException` - If failed.

#### insertDataRows

    void insertDataRows(Collection<T> rows,
                        IoStatisticsHolder statHolder)
                 throws IgniteCheckedException

Parameters:
  `rows` - Rows.
  `statHolder` - Statistics holder to track IO operations.
Throws:
  `IgniteCheckedException` - If failed.

#### updateDataRow

    boolean updateDataRow(long link,
                          T row,
                          IoStatisticsHolder statHolder)
                   throws IgniteCheckedException

Parameters:
  `link` - Row link.
  `row` - New row data.
  `statHolder` - Statistics holder to track IO operations.
Returns:
  `True` if was able to update row.
Throws:
  `IgniteCheckedException` - If failed.

#### updateDataRow

    <S,R> R updateDataRow(long link,
                          PageHandler<S,R> pageHnd,
                          S arg,
                          IoStatisticsHolder statHolder)
                   throws IgniteCheckedException

Type Parameters:
  `S` - Argument type.
  `R` - Result type.
Parameters:
  `link` - Row link.
  `pageHnd` - Page handler.
  `arg` - Handler argument.
  `statHolder` - Statistics holder to track IO operations.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - If failed.

#### removeDataRowByLink

    void removeDataRowByLink(long link,
                             IoStatisticsHolder statHolder)
                      throws IgniteCheckedException

Parameters:
  `link` - Row link.
  `statHolder` - Statistics holder to track IO operations.
Throws:
  `IgniteCheckedException` - If failed.

#### dumpStatistics

    void dumpStatistics(IgniteLogger log)

Parameters:
  `log` - Logger.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022